	 REAL FUNCTION RANF(DUMMY)
	COMMON /RAN/ IRAN1,IRAN2
C*
	RANF=RAN(IRAN1,IRAN2)
	RETURN
	END
	SUBROUTINE RANSET(RTIME)
	COMMON /RAN/ IRAN1,IRAN2
C*
	IRAN1=AMOD(RTIME,32768.)
	IRAN2=AMOD(RTIME/32768.,32768.)
	RETURN
	END
